import markers;
import geometry;

//import geometry_pi;
//pour une sortie pdf :
settings.outformat="png";
texpreamble("\usepackage[T1]{fontenc}\usepackage[french]{babel}");//pour charger des packages avec options
usepackage("inputenc");
real labelscalefactor = 1.5; 
unitsize(1cm);
defaultpen(fontsize(22pt)+linewidth(0.5mm));
point A=(1,-3);label("$A$",A,SW);
point B=(8,-3);label("$B$",B,SE);
point C=(8,6);label("$C$",C,NE);
point D=(1,6);label("$D$",D,NW);
point U=(3,4);
point F=(6,4);
point G=(6,-1);
point H=(3,-1);
point L=(-7,6);label("$L$",L,NW);
point M=(-7,-3);label("$M$",M,S);
point O=(2,-6);label("$O$",O,SW);
point P=(7,-6);label("$P$",P,SE);
point T=(-10.97,1.5);label("$N$",T,W);
point R=(4.5,6);
point I=(17,-3);label("$I$",I,SE);
point J=(17,6);label("$J$",J,NE);
point K=(17,3);label("$K$",K,E);
point W=(2,-3); dot(W);
point Z=(7,-3); dot(Z);

point V=midpoint(L--M); 
filldraw(A--D--L--T--M--cycle,lightgray);
filldraw(buildcycle(B--C,arccircle(R,C,180),D--A--B),lightgray);
draw (A--I--K--C--L--T--M--cycle);
draw (D--A); draw (C--B); draw (A--O--P--B);
filldraw(H--G--F--U--cycle,white);
filldraw(B--I--K--C--cycle,lightgray);
filldraw(O--P--B--A--cycle,lightgray);

draw (L--M,dashed); 
draw (V--T,dashed);
markrightangle(L,V,T);
markrightangle(M,L,D);
markrightangle(A,M,L);
markrightangle(L,D,A);label("$G$",G,SE);
markrightangle(F,G,H);label("$H$",H,SW);
markrightangle(G,H,U);label("$F$",F,NE);
markrightangle(U,F,G);label("$E$",U,NW);
markrightangle(H,U,F);
markrightangle(I,B,C);dot("$R$",R,N);

markrightangle(K,I,B);
markrightangle(C,J,I);
markrightangle(B,C,J);
draw (C--J--K,dashed);
draw (W--O,dashed);
draw (P--Z,dashed);

draw(arccircle(R,C,180));
draw (H--G--F--U--cycle);
distance(rotate(-90)*"$11$~m",I,J,16mm,black,joinpen=dashed);
distance(rotate(-90)*"$4$~m",K,J,10mm,black,joinpen=dashed);
distance(rotate(-90)*"$4$~m",P,Z,100mm,black,joinpen=dashed);
distance("$10$~m",L,D,-10mm,black,joinpen=dashed);
distance("$4,20$~m",T,V,-55mm,black,joinpen=dashed);
distance("$9$~m",D,C,-40mm,black,joinpen=dashed);
distance("$4$~m",U,F,5mm,black,joinpen=dashed);
distance(rotate(-90)*"$6$~m",G,F,-4mm,black,joinpen=dashed);
distance("$7$~m",O,P,5mm,black,joinpen=dashed);
markrightangle(D,A,M);
markrightangle(O,W,B);
markrightangle(A,Z,P);
markrightangle(P,O,W);
markrightangle(A,Z,P);
//markrightangle(Z,P,O);
markrightangle(O,P,Z);
draw (A--W,StickIntervalMarker(1,2,angle=-35));
draw (Z--B,StickIntervalMarker(1,2,angle=-35));
draw (D--C,TildeIntervalMarker(2,1));
draw (B--I,StickIntervalMarker(1,3,angle=-35));
draw (B--C,StickIntervalMarker(1,3,angle=-35));
//draw (C--J,StickIntervalMarker(1,3,angle=-35));
//label("chelle",midpoint(segment(D,M)),E);
label("Salle de spectacles",midpoint(M--D),N);
label("Salon panoramique",(4.5,7),N);
label("Hall d'entre",midpoint(P--W),N);
label("Salle de rceptions", midpoint(B--K),N);
label(rotate(90)*"Galerie",(2,1.5));
 label(rotate(90)*"d'expositions",(7,1.5));
 label("Cour", midpoint(U--G),N*labelscalefactor);
 label("intrieure", midpoint(U--G),S*labelscalefactor);
 
